%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Net-xFTP
%define modv   0.44
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A common wrapper for Perl Net::(S)FTP/SSH2
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/T/TU/TURNERJW/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Jim Turner <turnerjw784@yahoo.com>
Provides:      perl(Net::xFTP) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.1
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.14
#BuildRequires:perl(Test::Pod::Coverage) >= 1.04
BuildArch:     noarch


%description
Net::xFTP is a wrapper class to combine common functions of Net::(S)FTP and
Net::SSH2 into a single set of functions allowing one to switch seemlessly
between them without having to make non-trivial code changes.


%prep
%setup -q -n %{modn}-%{modv}

# Filter requires 
%{__cat} << \_EOF_ >%{name}-req
#!/bin/sh
%{__perl_requires} $* | \
	%{__sed} -e '/perl(Net::SFTP::Foreign::Constants)/d'
_EOF_

%define __perl_requires %{_builddir}/%{modn}-%{modv}/%{name}-req
%{__chmod} +x %{name}-req


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Wed Nov 17 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.44-1
- New version (0.44)

* Tue Jul 14 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.20-1
- Initial build
